-----------------------------------------------------------------
		    What's New In MARINE FIGHTERS
-----------------------------------------------------------------

This document lists the new features and feature modifications to 
U.S. Navy Fighters code since version 1.1.  Many features have been
modified, all changes are listed below.

The changes are listed in order of implementation, not any logical order.

-----------------------------------------------------------------
		    Done (since the 1.1 patch)
-----------------------------------------------------------------

- added Japanese as a possible nationality for objects.  Doing this
     required changing the mission file format so missions created with 1.2
     can't be loaded by 1.0 or 1.1.  Earlier missions can still be loaded
     correctly by 1.2, though.
- your seeker now only gets 1/3 of the normal look-down penalty when
     detecting ships, because they're very large, and since they're on
     water, there's very little ground-clutter interference.
- lookdown code now determines the pitch from you to the target.
- distance grid lines on the briefing map are now drawn with a 50% dither
     pattern, rather than as solid lines.
- added horizontal velocity indicator to the Harrier HUD.  Operates when
     forward speed < 100 mph, and you're in NAV mode.  Note that this
     indicator does NOT include the effects of wind!
- improved code that determines what planes/helos can land/takeoff at what
     airports/carriers, and whether they can use the cat: it now checks
     whether the plane has a hook, whether it can do STOL/VTOL, and whether
     it specifically is allowed to operate from ships.
- FYI: only VTOL and helos can operate from the WASP.  The runway is too
     short for most other planes.  If you land on the WASP, and your
     wingmen are F-18s, for example, they'll never land there!  They'll
     also be too stupid to find another place to land, though.
- on map screen, can't put a plane on a carrier if it isn't able to
     land/takeoff from that carrier type.  (eg, can't put F-18 on WASP, or
     F-15 on any ship).
- fixed problem where a mission that did not have any airports that exactly
     matched the nationality of the player would crash after the player
     fulfilled the mission objectives.  For some reason, this only happened
     if the player had some wingmen
- reduced takeoff climb angle of all airports from 30 degrees to 20
     degrees.  That seems to look better.
- if in autopilot, we no longer show the velocity vector on the HUD.  Also,
     we don't show the THRUST, G-FORCE, or VECTORED THRUST settings.
     Instead, the word "AUTO" replaces these three readouts.
- the catapult officer's "cat launch" animation used to start when your
     plane started moving.  Now it starts a little earlier, so his hand
     reaches the deck just before you start moving.
- allow VTOL planes to takeoff/land on top of buildings.
- gravity's effects on your plane's sideways velocity are no longer flipped
     when you banke.
- HUD: "legal landing" indicator now registerings legal landing conditions 
     if your plane doesn't have a hook.
- no longer doing "welcome back/welcome home" radio msg if you land far
     from an airport.
- changed aspect ratio of shapes made for 1.0.
- improved accuracy of auto-aiming turrets since a plane with that feature
     can now be flown by a human: the AC-130.
- no more divide overflow when you are exactly at the top of your flight
     envelope when flying the C-130.
- if .HUD file can't be found for the plane you're flying, it'll use the F-
     18 HUD instead.
- added some new explosions: bullet splash, air explosions, ground
     explosions.
- changing stall behavior:
     - different calculation of how severe the stall is now:
	   - 100% at 4 seconds, or sooner if stallSeverity is high, or
	     you're going much slower than stall speed
     - don't increase your drag during a stall
     - pitch-down rate is decreased as pitch approaches -90
     - bank-over rate is decreased as pitch approaches -90 or 90
- to make it easier to avoid spins while trying to do VTOL landing, we
     don't allow a spin if your vectored-thrust is down at least -45
     degrees.
- added end-swap effect if you enter a stall while going backwards.  Also
     do this if you're pointed up nearly vertical, and going less than
     about 75 mph, when you enter a STALL.
- in campaign, when you died, if you pressed ESC to bypass the "death"
     screen, and held it down, it would then proceed to assume you had
     pressed ESC in the "You are dead, do you want to replay this mission?"
     dialog, resulting in you losing your pilot.  This has been fixed so
     that after the death screen, you must release the ESC key before it'll
     proceed.  It also empties the keyboard buffer, just to make sure.
- changed bomber AI to help preserve their airspeed during evasive
     maneuvers:
     - if near stall speed, try to dive instead of climb
     - if target far away, jink at smaller angles
- improved feature which determines when a missile makes its final hit/miss
     check. Now some missiles will tend to do their checks early or late in
     their flight.
- improved missiles whose % hit chance DECREASES at close range, when
     attacking a target with a large signature.
- improved the AIM-54, to make it a better weapon:
     - increased % hit when at close range: instead of 0...50...75...0 (at
	  0%...25%...50%...100% of max range), it's now 25...50...50...0
	  against fighters, or 37...75...75...0 against bombers.
     - changed chance of being fooled by chaff/flare to 50% of normal.
- increased radar sig of B-52, Tu-26, Tu-160 from 100 to 200.
- changed joystick responsiveness curve, to better fit the way we're
     planning on changing roll rates for humans: more acc, more dacc,
     higher max bank rate.
- flaps are now correct @ takeoffs.
- implemented terrain masking:
     - if the player's target is behind terrain:
	  - the HUD's "target symbol" doesn't appear
	  - missiles fired at that target will not get a lock
	  - can't select it as "visible target" (eg, with Enter)
	  - not shown on your RADAR or IR CRTs
	  - target range/aspect, % chance to hit target, and lock symbol,
	       not printed on HUD
     - if an obj's target is behind terrain, it won't fire, it will lose
	  lock, and it'll eventually forget about that target (after about
	  20 seconds).
- changed flight code so helos are assumed to have no wings (ie, no lift
     from wings)
- improved sorting of terrain vs objs.
- SA-7, SA-14, and SA-16 (ie, sam-launching men) are now easier to kill.
- changed AA-8 to have only 30% penalty for head-on shots, rather than
     100%.
- PRO MISSION CREATOR screen now returns to that screen after you play a
     mission from it (and reloads the mission you just played), rather than
     returning to the CHOOSE ACTIVITY screen, and forcing you to load the
     PRO MISSION CREATOR screen, then load your same mission.
- added new keyboard command ';' to set your target to NOTHING (ie, clear
     current target).
- carrier landing ratings for the player are now given properly.  They used
     to just say "fair landing" all the time.
- changed F-18 radar track range from 45 to 50 miles, and Yak-141 radar
     track range from 20 to 25 miles.  This was because the radar CRT
     window's range increments are at 5, 10, 25, 50, 100, and 150 miles,
     and if your plane's track range is even slightly smaller than the
     range you select, your radar mode is set to RWS rather than TWS,
     making you unable to lock a target.  This basically means that players
     in an F-18 can now lock targets at 50 miles rather than 25.
     - also changed Su-27/33 IR seeker track range from 9 to 10 miles
- PLANE_TYPEs were getting their maxAlts from the envelope for G==0, which
     really isn't fair to human pilots.  Changed to ignore the G==0
     envelope.  Now, their maxAlt will probably always be the max alt in
     the G==1 envelope.
- your HUD now only prints RANGE, CLOSURE, ASPECT info if:
     - your radar is on, and the target is within the radar's FOV and range
     - or, you have an IR seeker, and the target is within its FOV (note
       that an IR seeker is ALWAYS assumed to be ON)
- improved the distance hazing effect on the textured water/sky.
- added new command "Ctrl-F" so users can tell what their frame-rate is.
     This prints the current frames-per-second count on your HUD.
- after an obj is killed, its secondary weapons, and chaff/flare, no longer
     continue firing.
- changed how keyboard does paging in VIEW PILOTS:
     - pg up/down no longer wrap past start/end of text
     - added Home/End keys to go to first/last page of text
- PILOT files (.P) have a different format now.  All old-format pilot files
     in the current directory are automatically converted to the new format
     when you run the game.
- improved missile hit % code with respect to jamming.
- planes missile firing A.I. is improved so they only check for missiles 
     fired by THEMSELVES.
- changed effect of ALT-E (engage my target):  Used to tell plane to engage
     a target, but ALSO tell him to be aggressive towards ALL OTHER TARGETS
     of the same class.  In other words, if you told him to attack a
     particular tank, he would attack it until it was destroyed, and then
     start attacking any other tanks he could find.
     This has been changed so this "keep attacking that target's class"
     behavior is only done when you tell him to attack a FIGHTER.  He'll
     kill the assigned fighter, and then start attacking other fighters.
     If you tell him to attack a building, for example, he'll just kill it
     and then return to formation.
- obj -> target, target -> obj views that are nearly vertical now don't
     jerk around (as) weirdly.
- HARM missiles now can home on an obj if its RADAR JAMMER is on, but its
     radar is off.
- HARM missiles can now maintain a lock on any ground target moving < 25
     mph, even if they turn off their radar.
- ground objs can now attack other ground objs!
     - doubled tank hit % when attacking ground objs
     - in order to let a vehicle MOVE, it MUST be given at least one
	  waypoint.  Otherwise, it'll turn toward its target, but NOT move
	  toward it.
- added surface->surface weapon (SA-N-9) for Sarancha
- added AI program for Sarancha to attack a ship
- when planes (computer, or human with autopilot) approached their takeoff
     point (eg, the catapult), sometimes they would miss it and keep
     turning around it but never reach it.  This should no longer happen.
- increased lifetime of AGM-65, and some other A-G missiles, because it was
     too short to let them reach targets at some otherwise allowable
     distances.
- can now interrupt a video sequence with ESC or SPACE at any time, and
     either will cause all succeeding SEQs to be skipped.
- better missile % hit calculations.
- ZOOM setting now saved correctly in the CFG file.
- Pop-up windows settings are no longer lost when you eject, and they're
     also saved in the CFG file.
- changed CFG file format.
- impoved side firing weapons in the PROJ code that caused them not
     to fire properly for NPCs.
- "select weapon" proc now takes weapon damage into account when selecting
     which weapon to use (prefers to use the most damaging weapon).
- fixed some calculation overflows in movement (especially projectile
     movement) when 8x time-compression was on.
- improve the HUD target symbol so target symbol is displayed as long as 
     the HUD is not more than 90 degrees off your view.
- no more invulerable enemy airplanes.
- used to reduce your speed by 25 mph when you touched the ground.  Decided
     not to do this anymore, since it seemed to interfere with rolling
     takeoffs from hills.
- autopilot takeoff now automatically raises your gear and flaps
- AV-8 with no ALQ-167 will not get "ECM damaged".
- improved damage code in general.
- can no longer get "afterburner damaged" message if your plane doesn't
     have an afterburner.
- "succeed if finished waypoints" now works for humans: it requires you to
     get within 3 miles (ignoring alt differences) of each of your
     waypoints.
- added turbulence effect for planes at low alt, or when closely following
     other planes.
- quick mission screen now lets you use the ARMING SCREEN before your mission.
     Click on the button that says "You are carrying the standard weapons
     load" and select instead "You are carrying a custom weapons load," and
     you'll see the ARMING SCREEN when you press OK.
- the ukraine "nuclear reactor" quick mission no longer has several objs specified as
     "success if alive" when they shouldn't have been.
- when you create a quick mission, it is now saved as "QUICK.M".  Therefore,
     it's now visible to the player if he wants to select it as a Single
     Mission, or load it into the Pro Mission Creator.  It shows up as
     "QUICK" in the file list.
- player's plane no longer moves around on WASP deck after landing and
     stopping.
- waypoint radio messages were saying what the RECEIVING plane should do
     (ie, climb vs dive).  They now say what the SENDING plane will be doing.
- when player unloads weapons in the ARM PLANE screen, or they're unloaded
     due to "air combat guns only", it now clears the ptr that indicates
     what's loaded there, so they no longer show up in your WEAPONS window as
     "0 AIM9", etc...
- SHIFT-E now says "This aircraft has no ejection seat" if it doesn't
     have one.
- no longer says "Let's get this guy" or "He's closing" until the target is
     < 20,000 ft away.
- no longer says "Break", "Do some of that pilot...", etc, if you're pulling
     >= 3 G's (ie, you're ALREADY doing some of that pilot shit)
- improved target-selection algorithm to prefer attacking targets that other
     planes in my wing are NOT currently attacking.  This should help split up
     dogfights into one-on-one engagements.  Also, primarily, this was put in
     so when you tell your wingman to "engage class" (eg, "engage bandits"),
     he should NOT attack the plane that YOU are targeting (unless there are
     no other planes within about 2 miles...distance also plays a part in the
     preference).
- to keep autopilot-controlled planes on the carrier deck better, I now STOP
     them if they're more than 45 degrees away from the direction they're
     trying to turn.
- player's chance of getting rescued when he ejects in enemy territory reduced
     from 85% to 35%.
- RWR symbology changed: a DIAMOND now indicates a PLANE using radar, while a
     BIG SQUARE means a ground-based radar, and a SMALL SQUARE means a missile
     (ie, the last two are same as before).
- added new command SHIFT-D: prints the last few HUD messages that you got,
     again, in case you didn't get to read them when they first appeared.
- fixed problems with campaign's weapons stores, which caused weapons loss.
- JAPANESE nationality wasn't a choice in the QUICK MISSION screen.  Added it.
- did not cycle through waypoint goals correctly when a waypoint was close to
     an airport, and you had an assigned target at that waypoint.
- improved behavior of AIRPLANE SELECTION screen when there are too many
     airplanes to show.  Also changed airplane parking positions on the NIMZ
     background screen to show more planes.
- made hotkeys for CHOOSE ACTIVITY screen available in release version:
     s = single mission
     q,u = quick mission
     p = pro mission
     l = last mission
     n = new campaign
     o = old campaign
     h = config hardware
     i = vehicle info
     r = view pilot records
- KRIVAK's collision boxes didn't include the shape's origin, causing missiles
     fired from its side to often miss.
- increased bullet visible dist from 5000 to 8000 ft
- in cheat mode, no longer allowed to load internal-gun type weapons anywhere
     else.
- corrected problems with the CTRL-F8 view.
- faster deceleration when plane hits arrestor wires.
- landing grades are now getting assigned properly
- AC-130 crew no longer says "EJECTING". 
- changed AT-2 to text to be shown as optically guide.
- all weapons pages in ARM PLANE screen are available when cheats are on.
- added speech for waypoint letters G,H,I,J,K.
- moved OK button on some of the CONFIG HARDWARE dialogs so the OK button is
     in the same place on all of the dialogs.
- added testure for joystic config dialog box in 1024 x 768.
- "select next missile" button on CH PRO and FCS sticks now selects the next
     GUN also, if you're out of missiles (or, like the AC-130, don't carry
     any).
- slightly increased amount of secondary explosions that result when you
     destroy something, and how long they take to happen
- increased % change of a system being damaged when you take a hit
     (max was 60%, now 80%).
- implemented "collateral damage" due to explosions: when a projectile hits
     something and explodes, nearby objs can be damaged also (though not nearly
     as much).  You generally have to be within 1000 ft for anything to happen,
     and within 300 ft or so for any major damage.  This applies ONLY to
     missiles, bombs, and rockets.  When an obj is killed by gunfire, there is
     no collateral damage.  Also, AI objs cannot be harmed by collateral
     damage from their own projectiles.
- now greying out menu items for COCKPIT, MIRRORS, and BIG WINDOWS according
     to your screen res, so options that don't matter for that res aren't
     shown.
- your plane could get very damaged in a campaign and end up with > 100%
     damage to fix.  Now limited to 100%.
- Miscellaneous per-mission damage in a campaign is calculated differently.
- bogus "LIFT FAILURE" HUD messages that happened when you had "Pull Extra G"
     cheat on have been fixed.
